package com.hssx.pcbms.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-11-06
 */
public class Department extends Model<Department> {

    private static final long serialVersionUID=1L;

    /**
     * 部门guid
     */
    @TableField("department_guid")
    private String departmentGuid;

    /**
     * 父部门guid
     */
    @TableField("superior_guid")
    private String superiorGuid;

    /**
     * 部门简称
     */
    @TableField("department_name")
    private String departmentName;

    /**
     * 部门名称
     */
    @TableField("department_fullname")
    private String departmentFullname;

    /**
     * 描述
     */
    @TableField("department_desc")
    private String departmentDesc;

    /**
     * 地址
     */
    @TableField("department_address")
    private String departmentAddress;

    /**
     * 部门电话
     */
    @TableField("department_phone")
    private String departmentPhone;

    /**
     * 部门排序
     */
    @TableField("showorder")
    private Integer showorder;

    /**
     * 删除标示 0：正常 1：删除
     */
    @TableField("department_isdeleted")
    private Integer departmentIsdeleted;

    /**
     * 部门类型 0：科室 1：部门
     */
    @TableField("department_xingzhi")
    private Integer departmentXingzhi;

    /**
     * 机构编号
     */
    @TableField("department_deptcode")
    private String departmentDeptcode;

    /**
     * 单位 KEY 码
     */
    @TableField("department_keycode")
    private String departmentKeycode;


    public String getDepartmentGuid() {
        return departmentGuid;
    }

    public void setDepartmentGuid(String departmentGuid) {
        this.departmentGuid = departmentGuid;
    }

    public String getSuperiorGuid() {
        return superiorGuid;
    }

    public void setSuperiorGuid(String superiorGuid) {
        this.superiorGuid = superiorGuid;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public String getDepartmentFullname() {
        return departmentFullname;
    }

    public void setDepartmentFullname(String departmentFullname) {
        this.departmentFullname = departmentFullname;
    }

    public String getDepartmentDesc() {
        return departmentDesc;
    }

    public void setDepartmentDesc(String departmentDesc) {
        this.departmentDesc = departmentDesc;
    }

    public String getDepartmentAddress() {
        return departmentAddress;
    }

    public void setDepartmentAddress(String departmentAddress) {
        this.departmentAddress = departmentAddress;
    }

    public String getDepartmentPhone() {
        return departmentPhone;
    }

    public void setDepartmentPhone(String departmentPhone) {
        this.departmentPhone = departmentPhone;
    }

    public Integer getShoworder() {
        return showorder;
    }

    public void setShoworder(Integer showorder) {
        this.showorder = showorder;
    }

    public Integer getDepartmentIsdeleted() {
        return departmentIsdeleted;
    }

    public void setDepartmentIsdeleted(Integer departmentIsdeleted) {
        this.departmentIsdeleted = departmentIsdeleted;
    }

    public Integer getDepartmentXingzhi() {
        return departmentXingzhi;
    }

    public void setDepartmentXingzhi(Integer departmentXingzhi) {
        this.departmentXingzhi = departmentXingzhi;
    }

    public String getDepartmentDeptcode() {
        return departmentDeptcode;
    }

    public void setDepartmentDeptcode(String departmentDeptcode) {
        this.departmentDeptcode = departmentDeptcode;
    }

    public String getDepartmentKeycode() {
        return departmentKeycode;
    }

    public void setDepartmentKeycode(String departmentKeycode) {
        this.departmentKeycode = departmentKeycode;
    }

    @Override
    protected Serializable pkVal() {
        return null;
    }

    @Override
    public String toString() {
        return "Department{" +
        "departmentGuid=" + departmentGuid +
        ", superiorGuid=" + superiorGuid +
        ", departmentName=" + departmentName +
        ", departmentFullname=" + departmentFullname +
        ", departmentDesc=" + departmentDesc +
        ", departmentAddress=" + departmentAddress +
        ", departmentPhone=" + departmentPhone +
        ", showorder=" + showorder +
        ", departmentIsdeleted=" + departmentIsdeleted +
        ", departmentXingzhi=" + departmentXingzhi +
        ", departmentDeptcode=" + departmentDeptcode +
        ", departmentKeycode=" + departmentKeycode +
        "}";
    }
}
